<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8" />
    <title>View Employee Attendance</title>

    <!-- if there must be multiple plugins, put here -->
    <link rel="stylesheet" th:href="@{assets/css/customCss/employee-edit.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/css/fixedColumns.bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/select2/select2.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/select2-bootstrap-theme/select2-bootstrap.min.css}">
    <!-- end -->
    <div th:replace="fragments/side-menu-header :: css-side"></div>

</head>

<body>
    <div class="container-scroller">
        <!-- partial:../../partials/_navbar.html -->
        <nav th:replace="fragments/side-menu-header :: navbar"></nav>
        <!-- partial -->
        <div class="container-fluid page-body-wrapper">
            <!-- partial:../../partials/_sidebar.html -->
            <nav th:replace="fragments/side-menu-menu :: sidebar"></nav>
            <!-- partial -->
            <div class="main-panel">
                <!-- content wrapper -->
                <div class="content-wrapper">
                    <div class="page-header">
                        <h3 class="page-title"> Employee </h3>
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="/dashboard">Dashboard</a></li>
                                <li class="breadcrumb-item active" aria-current="page">Example</li>
                            </ol>
                        </nav>
                    </div>
                        
                    <!-- put your content here -->
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-sm-2">
                                    <div class="form-group">
                                        <label for="exampleInputUsername1">Month</label>
                                        <select class="js-example-basic-single" style="width:100%" id="monthFilter">
                                            <option value="">September</option> 
                                        </select>
                                    </div>
                                </div>
                                <div class="col-sm-2">
                                    <div class="form-group">
                                        <label for="exampleInputUsername1">Year</label>
                                        <select class="js-example-basic-single" style="width:100%" id="yearFilter">
                                            <option value="">2020</option> 
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row" style="height:50px;">
                                <div class="col-sm-7"> 
                                    <h2 class="card-title" style="padding-top:20px;">Attendance Employee Dummy Name - 001.006</h2>
                                </div>
                                <div class="col-sm-5">
                                    <div class="d-flex flex-row-reverse">
                                        <a th:href="@{/employee-attendance}" class="btn btn-info btn-fw">BACK TO EMPLOYEE ATTENDANCE</a>
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <div class="col-sm-12">
                                <table class="table display" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>
                                                <div class="form-check mt-0">
                                                    <label class="form-check-label">
                                                        <input type="checkbox" class="form-check-input"><i class="input-helper"></i>
                                                    </label>
                                                </div>
                                            </th>
                                            <th></th>
                                            <th>Date</th>
                                            <th>Shift</th>
                                            <th>Schedule In</th>
                                            <th>Schedule Out</th>
                                            <th>Check In</th>
                                            <th>Check Out</th>
                                            <th>Over Time</th>
                                            <th>Attendance Code</th>
                                            <th>Timeoff Code</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>
                                                <div class="form-check mt-0">
                                                    <label class="form-check-label">
                                                        <input type="checkbox" class="form-check-input"><i class="input-helper"></i>
                                                    </label>
                                                </div>
                                            </td>
                                            <td>
                                                <button class="btn btn-warning btn-sm" title="Edit" data-toggle="modal" data-target="#editAttendance"><i class="fa fa-pencil"></i> </button>
                                            </td>
                                            <td>2020-08-21</td>
                                            <td>ADM1</td>
                                            <td>08:00</td>
                                            <td>17:00</td>
                                            <td></td>
                                            <td></td>
                                            <td>00:00</td>
                                            <td>Attendance Code</td>
                                            <td>Timeoff Code</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <div class="form-check mt-0">
                                                    <label class="form-check-label">
                                                        <input type="checkbox" class="form-check-input"><i class="input-helper"></i>
                                                    </label>
                                                </div>
                                            </td>
                                            <td>
                                                <!-- <button class="btn btn-success btn-sm" title="Edit" data-toggle="modal" data-target="#approval"><i class="fa fa-pencil"></i> </button> -->
                                                <button class="btn btn-warning btn-sm" title="Edit"><i class="fa fa-pencil"></i> </button>
                                            </td>
                                            <td>2020-08-21</td>
                                            <td>ADM1</td>
                                            <td>08:00</td>
                                            <td>17:00</td>
                                            <td></td>
                                            <td></td>
                                            <td>00:00</td>
                                            <td>Attendance Code</td>
                                            <td>Timeoff Code</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <div class="form-check mt-0">
                                                    <label class="form-check-label">
                                                        <input type="checkbox" class="form-check-input"><i class="input-helper"></i>
                                                    </label>
                                                </div>
                                            </td>
                                            <td>
                                                <!-- <button class="btn btn-success btn-sm" title="Edit" data-toggle="modal" data-target="#approval"><i class="fa fa-pencil"></i> </button> -->
                                                <button class="btn btn-warning btn-sm" title="Edit"><i class="fa fa-pencil"></i> </button>
                                            </td>
                                            <td>2020-08-21</td>
                                            <td>ADM1</td>
                                            <td>08:00</td>
                                            <td>17:00</td>
                                            <td></td>
                                            <td></td>
                                            <td>00:00</td>
                                            <td>Attendance Code</td>
                                            <td>Timeoff Code</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <div class="form-check mt-0">
                                                    <label class="form-check-label">
                                                        <input type="checkbox" class="form-check-input"><i class="input-helper"></i>
                                                    </label>
                                                </div>
                                            </td>
                                            <td>
                                                <!-- <button class="btn btn-success btn-sm" title="Edit" data-toggle="modal" data-target="#approval"><i class="fa fa-pencil"></i> </button> -->
                                                <button class="btn btn-warning btn-sm" title="Edit"><i class="fa fa-pencil"></i> </button>
                                            </td>
                                            <td>2020-08-21</td>
                                            <td>ADM1</td>
                                            <td>08:00</td>
                                            <td>17:00</td>
                                            <td></td>
                                            <td></td>
                                            <td>00:00</td>
                                            <td>Attendance Code</td>
                                            <td>Timeoff Code</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    
                    <!-- Modal Edit -->
                    <div class="modal fade" id="editAttendance" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg d-flex justify-content-center">
                            <div class="modal-content col-sm-8">
                                <div class="modal-header">
                                    <h5 class="modal-title">Edit Attendance</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <form>
                                    <div class="modal-body modal-scroll">
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Date</label>
                                            <div style="margin-top: -5px; height: 25px;" id="datepicker-popup" class="form-group input-group date datepicker">
                                                <span class="input-group-addon input-group-append border-left">
                                                    <span class="fa fa-calendar input-group-text"></span>
                                                </span>
                                                <input type="text" class="form-control form-control-sm" id="dateEdit" name="dateEdit">
                                            </div>
                                            <label for="dateEdit" class="validation_error_message mt-2 text-danger dateEdit" style="margin-left: 5px;"></label>
                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Name</label>
                                            <input type="text" class="form-control" id="exampleInputUsername1" value="Employee Dummy Name" readonly>
                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Shift</label>
                                            <select class="js-example-basic-single" style="width:100%" id="shift">
                                                <option value="">ADM 1 (in: 08:00:00 | out: 17:00:00)</option> <!-- from modul time management -->
                                            </select>
                                        </div>
                                        <div class="form-group row">
                                            <div class="col-sm-5">
                                                Check In
                                                <div class="row">
                                                    <div class="col-sm-4">
                                                        <input type="text" class="form-control form-control-sm" id="hourIn" placeholder="Hour">
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <input type="text" class="form-control form-control-sm" id="minuteIn" placeholder="Minute">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-sm-5">
                                                Check Out
                                                <div class="row">
                                                    <div class="col-sm-4">
                                                        <input type="text" class="form-control form-control-sm" id="hourOut" placeholder="Hour">
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <input type="text" class="form-control form-control-sm" id="minuteOut" placeholder="Minute">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-check">
                                            <label class="form-check-label">
                                              <input type="checkbox" class="form-check-input"> Time Off </label>
                                        </div>
                                        <div class="form-check">
                                            <label class="form-check-label">
                                              <input type="checkbox" class="form-check-input"> Overtime </label>
                                        </div>
                                    </div>

                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-success">Confirm</button>
                                        <button type="button" class="btn btn-light" data-dismiss="modal">Cancel</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- content-wrapper ends -->
                <!-- partial:../../partials/_footer.html -->
                <footer th:replace="fragments/side-menu-footer :: footer"></footer>
                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    
    <div th:replace="fragments/side-menu-footer :: js"></div>

    <!-- Plugin js for this page -->
    <script th:src="@{assets/vendors/select2/select2.min.js}"></script>
    <script th:src="@{assets/vendors/datatables.net/jquery.dataTables.js}"></script>
    <script th:src="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.js}"></script>
    <script th:src="@{assets/vendors/datatables.net/dataTables.fixedColumns.min.js}"></script>
    <script th:src="@{assets/vendors/bootstrap-datepicker/bootstrap-datepicker.min.js}"></script>
    <script th:src="@{assets/js/modal-demo.js}"></script>
    <!-- End plugin js for this page -->
    <!-- Custom js for this page -->
    <script th:src="@{assets/js/select2.js}"></script>
    <script th:src="@{assets/customJs/employee-attendance-view.js}"></script>
    <!-- End custom js for this page -->
</body>

</html>